Subject: Re: bug#38391: Issues with Environment Variables
From: Marius Bakke <[email-masked]>
To: anon987321 <[email-masked]>, [email-masked]
Date: Thu, 28 Nov 2019 16:04:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi anon987321 (if that is your real name),

anon987321 <[email-masked]> writes:

> I had two issues caused by ~/.guix-profile/etc/profile. First, Emacs's
> Semantic mode started having issues with GNU Global (both Emacs and
> global were installed with guix). It would complain about not knowing
> where global were located, with `/bin/bash global No Such File or
> Directory`. I did `which global`, revealing it was under
> /gnu/store/*hash*-global-6.6.3/bin/global. It seems Emacs didn't work
> well with looking for global directly under /gnu/store. I did set my
> $PATH to ~/.guix-profile/bin, but sourcing ~/.guix-profile/etc/profile
> caused it to add a /gnu/store/*hash*-profile to my $PATH, and this
> caused issues as the path wouldn't change even if i tried changing
> generations for my profile, doing rollbacks and all. If i tried to
> remove global, it would still be there under the same hash which was on
> $PATH, and Emacs would only work correctly if i launched it without
> sourcing ~/.guix-profile/etc/profile. I ended up removing guix
> completely and reinstalling it in order for it to fix

If you set GUIX_PROFILE=~/.guix-profile before sourcing the profile, the
exported variables will refer to that instead of just the _current_
generation (at the time of sourcing).  It's not very obvious,
improvements to the manual are welcome.  :-)

This topic is better suited for [email-masked], so I'm closing the
bug report.

Hope this helps,
Marius